The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги | ]



"Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  +/
Сообщение от opennews (ok), 26-Сен-18, 23:44 
Исследователи безопасности из группы Zero, созданной компанией Google для предотвращения атак, совершаемых с использованием ранее неизвестных уязвимостей, опубликовали (https://googleprojectzero.blogspot.com/2018/09/a-cache-inval...) детали эксплуатации уязвимости (CVE-2018-17182) в подсистеме vmacache ядра Linux, о которой сообщалось (https://www.opennet.ru/opennews/art.shtml?num=49305) на прошлой неделе. Продемонстрирован процесс создания рабочего эксплоита при наличии возможности обращения к уже освобождённому блоку памяти (use-after-free), вызванной  отсутствием проверки переполнения 32-разрядного номера последовательности в  vmacache.

Уязвимость может быть эксплуатирована для повышения привилегий любым локальным процессом, который может выполняться достаточно долго для переполнения счётчика ссылок (около часа, если доступен MAP_FIXED) и способного выполнять маппинг областей памяти  при помощи системных вызовов mmap()/munmap() и создавать потоки через вызов clone(). Отдельно отмечается, что указанные системные вызовы не требуют каких-то особых привилегий и обычно доступны даже из sandbox-окружений (например, допустимы в sandbox-окружении процесса отрисовки браузера Chrome и присутствуют в списке разрешённых системных вызовов Docker).


Проблема появилась в ядре 3.16 и исправлена в обновлениях  4.18.9, 4.14.71, 4.9.128, 4.4.157 и 3.16.58. Работа эксплоита продемонстрирована в Ubuntu 18.04 я ядром linux-image-4.15.0-34-generic, в том числе атака может быть совершена из изолированных окружений на базе Docker. В  Debian (https://security-tracker.debian.org/tracker/CVE-2018-17182) и Ubuntu (https://people.canonical.com/~ubuntu-security/cve/2018/CVE-2...) проблема пока остаётся неисправленной и обновления пакетов ещё не сформированы. Исправление уже доступно в Fedora (https://bugzilla.redhat.com/show_bug.cgi?id=1631206#c8). Ситуация с исправлением пока не ясна для RHEL (https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2018-17182) и SUSE (https://www.suse.com/security/cve/CVE-2018-17182/).


В качестве временной меры защиты от предложенного эксплоита можно установить sysctl kernel.dmesg_restrict и kernel.panic_on_oops.

URL: https://googleprojectzero.blogspot.com/2018/09/a-cache-inval...
Новость: https://www.opennet.ru/opennews/art.shtml?num=49345

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  –4 +/
Сообщение от VINRARUS (ok), 26-Сен-18, 23:44 
А я вот сьодня такую "уязвимость" нашол:
echo $((07+1))
echo $((08+1))
Кто обьяснит почему так и задумано?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  +/
Сообщение от bash (??), 26-Сен-18, 23:49 
:~$ echo $((00+1))
1

Дальше объяснять надо?

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

3. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  +1 +/
Сообщение от VINRARUS (ok), 26-Сен-18, 23:52 
Да, 0+1=1
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

5. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  +5 +/
Сообщение от noname.htm (ok), 27-Сен-18, 00:43 
0n - формат числа в восьмеричной системе. Поэтому он ругается на 08 - в восьмеричной такого числа нет, будет 10.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору
Часть нити удалена модератором

28. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  +1 +/
Сообщение от Аноним (28), 27-Сен-18, 14:22 
Пролистай man bash. Чему кроме нагромождения костылей могли посвятить столько писанины? А распечаткой zsh-all можно было бы замотать Землю в дьявольский кокон (предварительно вырубив все леса для производства такого количества бумаги). Одумайтесь!
Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

15. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  –2 +/
Сообщение от Аноним (15), 27-Сен-18, 06:13 
Да ладно?

$ echo $((08+1))
9
$ echo $((07+1))
8
$


mksh 56c

Выкиньте свой bash.

Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

21. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  +1 +/
Сообщение от Вопрос (?), 27-Сен-18, 10:07 
А export OCTAL_CONST=ON у Вас не работает?
Ответить | Правка | ^ к родителю #15 | Наверх | Cообщить модератору

26. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  +/
Сообщение от Аноним (15), 27-Сен-18, 11:06 
$ export OCTAL_CONST=ON
$ echo $((08+1))
9

Видимо нет

Ответить | Правка | ^ к родителю #21 | Наверх | Cообщить модератору

31. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  +/
Сообщение от Аноним (31), 28-Сен-18, 22:11 
bc, awk, caches[, LWKT]
UNIX way
Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

6. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  +/
Сообщение от Alex (??), 27-Сен-18, 00:47 
Наверно с нуля начинаются восмиричные числе

echo $((010))

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

10. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  +/
Сообщение от Anonymoussemail (?), 27-Сен-18, 01:11 
12-msk:/user> echo $((08+1))
9  
что я делаю не так?
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

16. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  +2 +/
Сообщение от Аноним (15), 27-Сен-18, 06:14 
Пользуешься POSIX-совместимым shell. А они башем.
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

30. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  +/
Сообщение от Anonymoussemail (?), 27-Сен-18, 17:36 
Ну как бы те кто сугубо в линуксах живут, да - им на шелл без разницы.
А если что то еще есть, но тут без посикса никуда не денешься. Даже массивы нужно клепать самостоятельно, ибо их нет.
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

25. "Опубликован эксплоит для уязвимости в подсистеме vmacache яд..."  +/
Сообщение от Crazy Alex (ok), 27-Сен-18, 10:37 
Используешь какую-то экзотику вместо стандартда де-факто. Или экзотические настройки, что в случае шелла - одно и то же
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема


  Закладки на сайте
  Проследить за страницей
Created 1996-2018 by Maxim Chirkov  
ДобавитьПоддержатьВебмастеруГИД  
Hosting by Ihor